// epsAspInitDlg.h : header file
//

#if !defined(AFX_EPSASPINITDLG_H__48F2D7B7_1FDA_4601_9D7C_777003590987__INCLUDED_)
#define AFX_EPSASPINITDLG_H__48F2D7B7_1FDA_4601_9D7C_777003590987__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../../../include/epassapi.h"

char* FormatErrMsg(EPAS_STATUS status);

/////////////////////////////////////////////////////////////////////////////
// CEpsAspInitDlg dialog

class CEpsAspInitDlg : public CDialog
{
// Construction
public:
	CEpsAspInitDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEpsAspInitDlg)
	enum { IDD = IDD_EPSASPINIT_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEpsAspInitDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	char m_sn[17];
	// Generated message map functions
	//{{AFX_MSG(CEpsAspInitDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EPSASPINITDLG_H__48F2D7B7_1FDA_4601_9D7C_777003590987__INCLUDED_)
